Spamming PKGBUILDs

I hope I'm not hijacking the thread too much, but in the trend of dealing with spam, it would also be nice if AUR was more spam-proof.
Right now google crawls all the PKGBUILDS (claiming ~19.500 hits) and gives spambots a whole bunch of free e-mail addys from the "Contributor: " and "Maintainer: " lines.
I'd rather not start obfuscating my email address in PKGBUILDS I post, because it feels like too harsh of a countermeasure. However, perhaps AUR could mangle email addresses when it gives webaccess to a PKGBUILD?

iphitus wrote:
citral wrote:
I hope I'm not hijacking the thread too much, but in the trend of dealing with spam, it would also be nice if AUR was more spam-proof.
Right now google crawls all the PKGBUILDS (claiming ~19.500 hits) and gives spambots a whole bunch of free e-mail addys from the "Contributor: " and "Maintainer: " lines.
I'd rather not start obfuscating my email address in PKGBUILDS I post, because it feels like too harsh of a countermeasure. However, perhaps AUR could mangle email addresses when it gives webaccess to a PKGBUILD?
read the thread buddy we're talking about wiki spam not email spam.
Sounds to me like this issue should be taken care of as well, though. Might be interesting to start a separate thread.

Similar Messages

  • [Solved]Getting different results with PKGBUILD and compiling manually

    Hi,
    When I compile this one package manually and install it, it works 100% however when I try it in a PKGBUILD the compile fails.
    Here is the PKGBUILD I have so far (still working on it)
    pkgname=smtp-gated
    pkgver=1.4.16.2
    pkgrel=1
    pkgdesc="This software block SMTP sessions used by e-mail worms and viruses on the NA(P)T router. It acts like proxy, intercepting outgoing SMTP connections and scanning session data on-the-fly. When messages is infected, the SMTP session is terminated. It's to be used (mostly) by ISPs, so they can eliminate infected hosts from their network, and (preferably) educate their users."
    url="http://smtp-proxy.klolik.org/"
    license="GNU"
    arch=('i686' 'x86_64')
    #depends=('')
    #install=smtp-gated.install
    source=("$url/files/$pkgname-$pkgver.tar.gz")
    md5sums=('3857d03c847efd89b052acaeffaa453b')
    build() {
    cd $startdir/src/$pkgname-$pkgver || return 1
    msg CONFIGURE
    #./configure --prefix=/usr || return 1
    ./configure || return 1
    msg MAKE
    make || return 1
    msg INSTALL
    make install INSTALL_ROOT=$startdir/pkg/ || return 1
    And the compile error when I run "makepkg"
    ==> MAKE
    make all-recursive
    make[1]: Entering directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2'
    Making all in src
    make[2]: Entering directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2/src'
    if gcc -DHAVE_CONFIG_H -I. -I. -I.. -DMD5_TEST -march=x86-64 -mtune=generic -O2 -pipe -Wall -MT md5_test-md5.o -MD -MP -MF ".deps/md5_test-md5.Tpo" -c -o md5_test-md5.o `test -f 'md5.c' || echo './'`md5.c; \
    then mv -f ".deps/md5_test-md5.Tpo" ".deps/md5_test-md5.Po"; else rm -f ".deps/md5_test-md5.Tpo"; exit 1; fi
    gcc -march=x86-64 -mtune=generic -O2 -pipe -Wall -Wl,--hash-style=gnu -Wl,--as-needed -o md5-test md5_test-md5.o
    if gcc -DHAVE_CONFIG_H -I. -I. -I.. -march=x86-64 -mtune=generic -O2 -pipe -Wall -MT regex-test.o -MD -MP -MF ".deps/regex-test.Tpo" -c -o regex-test.o regex-test.c; \
    then mv -f ".deps/regex-test.Tpo" ".deps/regex-test.Po"; else rm -f ".deps/regex-test.Tpo"; exit 1; fi
    gcc -march=x86-64 -mtune=generic -O2 -pipe -Wall -Wl,--hash-style=gnu -Wl,--as-needed -o regex-test -lpcre regex-test.o
    regex-test.o: In function `main':
    regex-test.c:(.text+0xc): undefined reference to `pcre_version'
    regex-test.c:(.text+0x3c): undefined reference to `pcre_compile'
    regex-test.c:(.text+0x71): undefined reference to `pcre_exec'
    regex-test.c:(.text+0x88): undefined reference to `pcre_free'
    collect2: ld returned 1 exit status
    make[2]: *** [regex-test] Error 1
    make[2]: Leaving directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2/src'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/root/ABS_snmp-gated/src/smtp-gated-1.4.16.2'
    make: *** [all] Error 2
    Any pointers or help would be greatly appreciated.
    Last edited by Tinuva (2010-01-27 11:55:41)

    Alright not sure if this is up to standard to go into AUR but this is what I have for now:
    PKGBUILD:
    pkgname=smtp-gated
    pkgver=1.4.16.2
    pkgrel=1
    pkgdesc="This software block SMTP sessions used by e-mail worms and viruses on the NA(P)T router. It acts like proxy, intercepting outgoing SMTP connections and scanning session data on-the-fly. When messages is infected, the SMTP session is terminated. It's to be used (mostly) by ISPs, so they can eliminate infected hosts from their network, and (preferably) educate their users."
    url="http://smtp-proxy.klolik.org/"
    license="GNU"
    arch=('i686' 'x86_64')
    #depends=('')
    install=smtp-gated.install
    source=("$url/files/$pkgname-$pkgver.tar.gz")
    md5sums=('3857d03c847efd89b052acaeffaa453b')
    build() {
    cd $startdir/src/$pkgname-$pkgver || return 1
    msg CONFIGURE
    export LDFLAGS="${LDFLAGS//-Wl,--as-needed}"
    ./configure --prefix=/usr || return 1
    msg MAKE
    make || return 1
    msg INSTALL
    make install INSTALL_ROOT=$startdir/pkg/ || return 1
    install -D -m755 ../../smtp-gated ${startdir}/pkg/etc/rc.d/smtp-gated || return 1
    install -D -m644 ../../smtp-gated.conf ${startdir}/pkg/etc/smtp-gated.conf || return 1
    smtp-gated.install
    # arg 1: the new package version
    post_install() {
    mkdir /var/run/smtp-gated
    mkdir /var/spool/smtp-gated
    mkdir /var/spool/smtp-gated/msg
    chown mail.mail /var/run/smtp-gated
    chown mail.mail /var/spool/smtp-gated -R
    echo "
    SMTP-GATED Instructions:
    After installing SMTP-GATED you need to edit smtp-gated.ini
    Good luck!
    /bin/true
    op=$1
    shift
    $op $*
    smtp-gated that goes into /etc/rc.d/
    #!/bin/bash
    . /etc/rc.conf
    . /etc/rc.d/functions
    # source application-specific settings
    [ -f /etc/conf.d/$NAME ] && . /etc/conf.d/$NAME
    # PATH should only include /usr/* if it runs after the mountnfs.sh script
    PATH=/usr/sbin:/usr/bin:/sbin:/bin
    DESC="SMTP Proxy"
    NAME=smtp-gated
    DAEMON=/usr/sbin/$NAME
    CONFIG=/etc/$NAME.conf
    DAEMON_ARGS="$CONFIG"
    PID=/var/run/$NAME/$NAME.pid
    SCRIPTNAME=/etc/rc.d/$NAME
    # Exit if the package is not installed
    [ -x "$DAEMON" ] || exit 0
    # Read configuration variable file if it is present
    [ -f /etc/conf.d/$NAME ] && . /etc/conf.d/$NAME
    case "$1" in
    start)
    stat_busy "Starting $NAME"
    #[ -z "$PID" ] && $DAEMON $DAEMON_ARGS
    $DAEMON $DAEMON_ARGS &>/dev/null
    if [ $? -gt 0 ]; then
    stat_fail
    else
    add_daemon $NAME
    stat_done
    fi
    stop)
    stat_busy "Stopping $NAME"
    #[ -n "$PID" ] && kill $PID &> /dev/null
    smtp-gated -K &> /dev/null
    if [ $? -gt 0 ]; then
    stat_fail
    else
    rm_daemon $NAME
    stat_done
    fi
    restart)
    $0 stop
    # will not start if not fully stopped, so sleep
    sleep 2
    $0 start
    echo "usage: $0 {start|stop|restart}"
    esac
    smtp-gated.conf that goes into /etc
    # Virus scanning: yes
    # SPAM scanning: yes
    #proxy_name smtp-proxy.mydomain.com
    port 9199
    ; bind_address 192.168.1.254
    ; source_addr 0.0.0.0
    mode netfilter
    ; action_script /etc/smtp-gated-action.sh
    lock_duration 1800
    lock_path /var/spool/smtp-gated/lock
    spool_path /var/spool/smtp-gated/msg
    spool_perm 0660
    pidfile /var/run/smtp-gated/smtp-gated.pid
    ;dumpfile /var/run/smtp-gated/smtp-state-dump
    set_user mail
    priority 5
    lock_on virus,spam,maxhost
    max_connections 64
    max_per_host 10
    ;max_per_ident 6
    ;max_load 3.0
    ignore_errors yes
    spool_leave_on error,spam
    nat_header_type ip-only
    ; abuse [email protected]
    log_helo yes
    log_mail_from accepted,rejected
    log_rcpt_to accepted,rejected
    ; locale pl_PL
    ;scan_max_size 1048576
    ;spam_max_size 0
    spam_max_size 131072
    ;spam_max_load 0.5
    spam_threshold 5.0
    ; scanner_path
    antivirus_type clamd
    antivirus_path /var/lib/clamav/clamd.sock
    antispam_type spamassassin
    antispam_path /var/run/spamd.sock
    Last edited by Tinuva (2010-01-27 12:13:03)

  • PKGBUILD and dependencies

    Hi,
    I want to ask, if there is way, that pacman automatically installs resp. deinstalls all the needed packages I put to the depends-field?

    Hm, exact problem ist following:
    pacman -A ogmrip-0.10.0-1.pkg.tar.gz
    loading package data... done.
    error: unsatisfied dependencies:
    ogmrip: requires ogmtools
    ogmrip: requires vorbis-tools
    ogmrip: requires intltool
    ogmrip: requires gconf
    ogmrip: requires mkvtoolnix
    ogmrip: requires gocr
    with PKGBUILD
    # Contributor: Moo-Crumpus <do.not.spam.me AT web.de>
    pkgname=ogmrip
    pkgver=0.10.0
    pkgrel=1
    pkgdesc="Librairies and gtk2 interface for dvd ripping using mencoder"
    url="http://ogmrip.sourceforge.net/"
    license="GPL"
    # Optional depedencies comes after pkgconfig. You can add enchant(for spellchacking in subtitiles), faac and libtheora
    depends=('xorg' 'glib2' 'libxml2' 'libdvdread' 'mplayer' 'ogmtools' 'vorbis-tools' 'lame' 'intltool' 'pkgconfig' 'gtk2' 'gconf' 'libglade' 'dbus' 'hal' 'mkvtoolnix' 'gocr')
    makedepends=('perlxml')
    conflicts=()
    replaces=()
    backup=()
    install=
    #source=(http://mesh.dl.sourceforge.net/sourceforge/ogmrip/$pkgname-$pkgver.tar.gz)
    source=(http://dl.sourceforge.net/sourceforge/ogmrip/$pkgname-$pkgver.tar.gz)
    md5sums=('cef80b77b551a6e7accc1441b62c1b4a')
    build() {
    [ "$GNOMEDIR" = "" ] && source /etc/profile.d/gnome.sh
    cd $startdir/src/$pkgname-$pkgver
    ./configure --prefix=/usr
    make || return 1
    make DESTDIR=$startdir/pkg install
    Had the same problem also with another package.

  • [SOLVED] Compiling kernel PKGBUILD from ABS (2.6.34)

    So I'm currently compiling a kernel from ABS, and its been running som docbook stuff for 2-3 hours now which I've never seen before when compiling a kernel with ABS.
    I commented out the line that allowed me to edit the config with make menuconfig. I tweaked the kernel to 1000hz and set up my cpu family.
    Is this normal? Im pretty sure this didnt happen when I compiled 2.6.33.4 from ABS
    This is what its been spamming for the past ~2 hours:
    Note: Writing struct_usb_host_ss_ep_comp.9
    Warn: meta author : no refentry/info/author struct usb_host_endpoint
    Note: meta author : see http://docbook.sf.net/el/author struct usb_host_endpoint
    Warn: meta author : no author data, so inserted a fixme struct usb_host_endpoint
    Note: Writing struct_usb_host_endpoint.9
    Warn: meta author : no refentry/info/author struct usb_interface
    Note: meta author : see http://docbook.sf.net/el/author struct usb_interface
    Warn: meta author : no author data, so inserted a fixme struct usb_interface
    Note: Writing struct_usb_interface.9
    Warn: meta author : no refentry/info/author struct usb_interface_cache
    Note: meta author : see http://docbook.sf.net/el/author struct usb_interface_cache
    Warn: meta author : no author data, so inserted a fixme struct usb_interface_cache
    Last edited by XAM (2010-06-29 06:19:50)

    Coacher wrote:Since 2.6.34 there is also kernel26-manpages and kernel26-docs packages that also placed in kernel26 PKGBUILD.
    I've never compiled that docs stuff for myself so cant say how long it takes, but if you need only new kernel26 package you can safely wipe out that lines from PKGBUILD.
    wow, thats good to hear. Took ages compiling with it there.

  • Error in spam/saint update TP_CANNOT_CONNECT_SYSTEM TP_INTERFACE_FAILURE

    Dear All,
    while i am updating spam / saint in saint t code I am facing an error TP_INTERFACE_FAILURE and reason for the error is TP_CANNOT_CONNECT_SYSTEM
    the error details are
    The installation was stopped, since an error occurred during the phase
    CHECK_REQUIREMENTS, which the Add-On Installation Tool is unable to
    resolve without your input.
    After you have corrected the cause of the error, continue with the
    import by choosing Continue in the queue display.
    The following details help you to analyze the problem:
        -   Error in phase: CHECK_REQUIREMENTS
        -   Reason for error: TP_CANNOT_CONNECT_SYSTEM
        -   Return code:
        -   Error message: TP_INTERFACE_FAILURE
    Notes on phase CHECK_REQUIREMENTS
    n this phase the system checks the various requirements for the add
    nstallation. The following are reasons why this phase may fail:
       TP_CANNOT_CONNECT_TO_SYSTEM: tp cannot log on to the system
       database.
       Check the action log (in the menu, choose Goto -> Action Log). Y
       may be able to use the detailed tp error message in this log to
       identify and remove the cause of the error.
       QUEUE_NOT_EMPTY: There are still OCS requests in the transport
       buffer which are not completed. You can show these requests with
       following tp command:
       tp SHOWBUFFER <SID> -DSOURCESYSTEMS= TAG=SPAM
       These requests have to be completed or deleted from the buffer
       before you can continue importing the queue.
    o   CANNOT_DROPBUFFER: tp cannot delete old, incompletely processed
         Support Packages from the tp buffer.
         Check the action log (in the menu, choose Goto -> Action Log). You
         may be able to use the detailed tp error message in this log to
         identify and remove the cause of the error.
    The Add-On Installation Tool requires that the Change and Transport
    System (CTS) be configured correctly. For more detailed information,
    read the online documentation available from Help -> SAP Library ->
    mySAP Technology Components -> SAP Web Application Server -> BC Change
    and Transport System .
    A list of the most important SAP Notes for Online Correction Support
    (OCS) is available in SAP Note 97620, which is updated regularly.
    please help me, its very important to complete this job i am in a critical position
    Thanks
    Senthil

    Dear,
    Please refer these links,
    tp_cannot_connect_system
    Problem loading a package in the SAINT transc. (TP_CANNOT_CONNECT_SYSTEM)
    Regards,
    R.Brahmankar

  • Error in Spam / saint update TP_STEP_FAILURE and DDIC_ACTIVATION

    Dear All,
    While updating spam/ saint update I am facing  this error 
    Details of Error:
    The installation was stopped, since an error occurred during the phase
    DDIC_ACTIVATION, which the Add-On Installation Tool is unable to resolve
    without your input.
    After you have corrected the cause of the error, continue with the
    import by choosing Continue in the queue display.
    The following details help you to analyze the problem:
        -   Error in phase: DDIC_ACTIVATION
        -   Reason for error: TP_STEP_FAILURE
        -   Return code: 0008
        -   Error message:  tp step A, return code
            0008
    Notes on phase DDIC_ACTIVATION
    In this phase the system activates the imported Data Dictionary objects.
    This phase may terminate for several reasons:
    o   TP_INTERFACE_FAILURE: The system was unable to call the tp
         interface.
    o   TP_FAILURE: The system was unable to execute the tp program. For
         more information, see the SLOG or ALOG log file.
    o   TP_STEP_FAILURE: The system was unable to perform the tp step DDIC
        activation successfully. To see the cause of the problem in the
        activation log, choose Logs.
        If you import two or more OCS packages in one installation queue,
        and activate the Data Dictionary objects in the incorrect sequence,
        this can cause errors. In this case, the activation errors disappear
        if you repeat the activation run. To do this, choose Continue.
    The Add-On Installation Tool requires that the Change and Transport
    System (CTS) be configured correctly. For more detailed information,
    read the online documentation available from Help -> SAP Library ->
    mySAP Technology Components -> SAP Web Application Server -> BC Change
    and Transport System .
    A list of the most important SAP Notes for Online Correction Support
    (OCS) is available in SAP Note 97620, which is updated regularly.
    Please  help me
    Thanks
    Senthil

    Hi,
    i am having the same problem with SPAM
    Error in phase: DDIC_ACTIVATION                                                                               
    Reason for error: TP_STEP_FAILURE                                                                               
    Return code: 0008                                                                               
    Error message: OCS Package SAPKA70012, tp step A, return code
    0008  
    however i dont have the option to continue..  Please help
    thanks

  • E-mails enviado pelo Thunderbird são recebidos como spam no Outlook

    Olá,
    Uso o Thunderbird para o envio de e-mails e acontece o seguinte:
    - Se eu tentar enviar e-mails do thunderbird, os usuários que possuem outro cliente de e-mail (ex: Outlook 2007) recebem meu e-mail em sua caixa de spam, já se eles usarem o thunderbird com cliente de e-mail padrão, o e-mail que enviei é recebido na caixa de entrada normalmente.
    - No mesmo computador que estou fazendo os testes p/ envio de e-mail, se instalar outro cliente de e-mail (ex: Outlook 2007), posso enviar e-mail para qualquer usuário e independente de seu programa de e-mail padrão, o e-mail sempre irá para a sua caixa de entrada.
    - Já faz mais de 1 ano que uso o thunderbird, se eu excluir toda a configuração do thunderbird e configurar uma nova conta de e-mail, esses problemas que comentei acima já não acontece
    Algum já passou por esse problema ?
    Desde já, agradeço.

    Olha eu sugiro a você fazer um backup de tudo e/ou configurar sua conta com IMAP subir todos seus email para o servidor, então criar um novo perfil ou apagar a conta e adicionar novamente, o motivo de isso estar acontecendo eu também desconheço, mas como você disse que ele aceita os email normalmente se você adicionar novamente a conta, então o problema não é o cliente, pode ser a forma que está sendo enviada a mensagem, ou seja, a configuração, enfim não sei também, mas ta ai uma ideia para você não perder seus emails

  • Unable to create user in PKGBUILD / fakeroot

    tl;tr Package creation witk makepkg crashes if a certain user does not exist
    I'm maintaining package Icinga [1] and I've had three comments about the way the pakage wants to install. Following the install from the official documentation [2] a user needs to be created. This will be the main user for the build process. Is built with [3]:
    --with-icinga-user=${_icinga_user} \
    --with-icinga-group=${_icinga_user} \
    thus owning the main files to that user. This is a preferred e.g. suPhp [4][5] method where exposed (web/server) files are not owned by root or http but by a limited user. Apart from my ideas of a safe environment I want to be able to package an application the way it's intended by the creators.
    I've investigated an researched a decent amount. I found [6] discussing the possibility of creating a user. One of the examples [7] tries to create a temporary user inside the fakeroot environment of build() and poackage():
    if [ -z $(getent passwd $_amandauser) ] ; then
    msg "Adding user/group (temporarily)"
    groupadd -g $_amandagid $_amandagroup
    useradd -u $_amandauid -g $_amandagroup -G storage,disk -m -d /var/amanda -s /bin/bash -c "Amanda Backup Daemon" $_amandauser
    _cleanup=1
    else
    _cleanup=0
    fi
    but that fails as this snippet shows
    $ faketroot
    # groupadd -g 667 icinga
    # groupadd: PAM: Authenticatie service kan geen authenticatie informatie ophalen
    Interestingly emerge (Gentoo) has a function to add a user in pkg_setup() [8]
    enewgroup icinga
    enewuser icinga -1 -1 /var/spool/icinga icinga -c "icinga alert"
    The only reference to such idea in the Arch world is a keyword in PKGBUILD [9] like
    require_user('user1' 'user2')
    require_group('group1')
    What I did manage is removing all chown's from PKGBUILD, create a user in post_install() and chown several files to that user [10]. I would regard that a highly unsafe operation. Can anyone think of a better solution to be able to build() and later.package() an application when it's uncertain if a user exists? It might be helpful to exit makepkg in an early stage with a clear message (instructions to create the user) if that user doesn't exist.
    [1] https://aur.archlinux.org/packages/icinga/
    [2] http://docs.icinga.org/latest/en/quicks … ateaccount
    [3] https://aur.archlinux.org/packages/ic/icinga/PKGBUILD
    [4] http://www.suphp.org/Home.html
    [5] https://wiki.archlinux.org/index.php/Suphp
    [6] https://bbs.archlinux.org/viewtopic.php?id=105894
    [7] https://aur.archlinux.org/packages/am/amanda/PKGBUILD
    [8] https://271339.bugs.gentoo.org/attachment.cgi?id=287405
    [9] https://wiki.archlinux.org/index.php/De … D_Database
    [10] http://sprunge.us/XMgi?sh
    Last edited by foppe (2013-04-03 13:56:41)

    progandy wrote:I wanted to know whether my thoughts were realistic first
    https://github.com/progandy/fakeuser
    tl;tr Works like a charm
    git clone git://github.com/progandy/fakeuser.git
    cd fakeuser
    make
    # Folder fakeuser contains libfakeuser.so and fakeadd
    # Folder fakeuser/example-makepkg contains fakepkg
    wget https://aur.archlinux.org/packages/ic/icinga/icinga.tar.gz
    tar -zxf ./icinga.tar.gz
    cd icinga
    # Prepare MAKEPKG see [1]
    # Mostly:
    ## fakeadd -G -n $_icinga_group -g 667
    ## fakeadd -U -n $_icinga_user -u 667 -g 667
    # Prepare icinga.install see [2] - created group/user icinga:icinga in pre_install()
    # Make sure the user icinga:icinga doesn't exist
    sudo userdel icinga
    sudo groupdel icinga
    # copy fakepkg
    cp ../example-makepkg/fakepkg .
    # run fakepkg instead of makepkg
    ./fakepkg
    # Works like a charm
    # installing package
    sudo pacman -U icinga-1.8.4-2-x86_64.pkg.tar.xz
    # test
    ls -al /usr/share/webapps/icinga
    # drwxrwxr-x 10 icinga icinga 4096 5 apr 12:37 .
    # drwxr-xr-x 3 root root 4096 5 apr 12:37 ..
    # drwxr-xr-x 2 icinga icinga 4096 5 apr 12:37 cgi-bin
    # <snip>
    # drwxrwxr-x 2 icinga icinga 4096 5 apr 12:37 ssi
    # drwxrwxr-x 2 icinga icinga 4096 5 apr 12:37 stylesheets
    ls -al /var/spool/icinga
    # drwxr-xr-x 4 icinga icinga 4096 5 apr 12:37 .
    # drwxr-xr-x 10 root root 4096 5 apr 12:54 ..
    # drwxrwxr-x 2 icinga icinga 4096 5 apr 12:37 checkresults
    # drwxr-xr-x 2 icinga icinga 4096 5 apr 12:37 rw
    # [1] http://sprunge.us/ISjA?sh
    # [2] http://sprunge.us/PUPI?sh
    I used a modified PKGBUILD [1] plus a modified icinga.install [2]. The PKGBUILD adds the fakeuser
    package() {
    fakeadd -G -n $_icinga_group -g 667
    fakeadd -U -n $_icinga_user -u 667 -g 667
    cd "$srcdir/$pkgname-$pkgver"
    The icinga.install file adds the read user in pre_install()
    pre_install() {
    _icinga_user="icinga"
    _icinga_group="icinga"
    _icinga_gid=667
    _icinga_uid=667
    getent group icinga > /dev/null || groupadd -g $_icinga_gid $_icinga_group > /dev/null
    getent passwd icinga > /dev/null || useradd -u $_icinga_uid -g $_icinga_group -G http \
    -d /dev/null -s /bin/false $_icinga_user > /dev/null
    and this is exacly what I think is the very best solution to solve this issue. It's completely safe because all tricky file manipulation is done in a fakeroot environment and it's completely hassle free for the end-user.
    Heads up. Let's try get this idea upstream
    [1] http://sprunge.us/ISjA?sh
    [2] http://sprunge.us/PUPI?sh
    Last edited by foppe (2013-04-05 11:17:33)

  • From NW 04 SR1(SP9) to SP 16 upgrade - SPAM error

    Hi,
    I was doing Support pack via spam after NW 04 SR1 on AIX(Oracle).
    When i was running SPAM in test  Mode for Basis component
    1) 10,11,12,13,14 were sucessful & it is failing at Support 15.
    The error message is `Function <b>TREX_RFC_CONNECTION_CHECK(TREX_ADMIN_TOOL) does not fit into the existing function group ((TREX_UTIL|24))</b>
    I have not installed TREX but the error message points to one of the function module wrongly placed in a function group related TREX.
    On clicking SAP Message in action log it says there was problem in moving a function group in totality due to (one function being misplaced in the function group) so i need to delete that function from the function group & create a new function with the same name and record these activites in 2 separate change request and release them in the same order.
    It says this could solve the problem. But i am wondering because i have not installed TREX and the support pack is giving the problem due to TREX.
    Should ignore the error ?
    How should i go about solving the problem.
    Kindly help me, it's urgent.
    Thanks & Regards,
    Satish

    I think its a known problem and can be ignored. Please chek the note  672651 Known problem with support packs in Basis 640 .
    Thanks
    Prince Jose

  • Support Pack error in SPAM

    Hi
    I am importing a group of Support Packs into our DEV environment to bring the landscape uptodate, we are running NW04 on Windows 2003 64 bit & SQL Server 2000, I've updated to the latest SPAM and Kernel before the Support Packs.
    When importing in SPAM I have used the calculate queue method, all looks ok, when I perform the import, in the phase TEST IMPORT i get the following error for Support Pack SP 12 for EA-FINSERV 5.00 :
    <b>
    Function MAP2I_BAPICMS_STR_MOV_INS_CRT (CMS_BUSISB104_MAPPI does not fit into the existing function group ((CMS_BUSISB10)</b>
    The only option I am given is to repeat the phase, I've repeated this a few times and get the same error on TEST IMPORT. I'm new to NW04 640 BASIS, but I know from running 4.6X system that you can re-run phases and quite often they work correctly 2nd time round, is it worth changing SPAM to not stop on test import errors ? as I know objects required can be in earlier support packs (i'm applying supports pack EA-FINSERV 5.00 08 to 11 as part of the queue before 12 which is giving me the error.
    I've checked on OSS and cannot find any notes on this error/support pack.
    Thanks.

    nope, not tried with ignore test errors yet, wanted to check opinions here to see if thats the next step to try, or if there's anything else I could try ?

  • [SOLVED] EurKEY PKGBUILD request for comments

    Hi, I just finished a PKGBUILD for EurKEY "European Keyboard Layout". It installs and removes fine on my system, and I took care to respect the packaging standards, but before submitting it to AUR I would like to get any comments/suggestions.
    PKGBUILD
    # Maintainer: Christoph Roeper <cr (at) roeper (dot) biz>
    pkgname=eurkey
    pkgver=1.1
    pkgrel=1
    pkgdesc="The European Keyboard Layout"
    arch=('any')
    url="http://eurkey.steffen.bruentjen.eu/"
    license=('GPL3')
    depends=('xkeyboard-config' 'sed' 'gawk')
    install="$pkgname.install"
    source=(http://eurkey.steffen.bruentjen.eu/download/debian/binary/eurkey.deb)
    md5sums=('8da8472f8f8d30baaa6a50145264024b')
    package() {
    cd "$srcdir"
    ar x $pkgname.deb
    tar xzf data.tar.gz -C "$pkgdir/"
    cd "${pkgdir}"
    # euro on '5', swap with pound
    awk='\
    BEGIN { fix = 0 } \
    if ( $2 == "<AE04>" ) { $7="sterling,"; fix = 1 } \
    else if ( $2 == "<AE05>" ) { $7="EuroSign,"; fix = 1 } \
    if ( fix == 1 ) { printf "%11s %s %s %s%16s%19s%22s%21s %s %s\n",$1,$2,$3,$4,$5,$6,$7,$8,$9,$10; fix = 0 } \
    else { print } \
    file="usr/share/X11/xkb/symbols/eurkey"
    tmpfile="$file".`date +%FT%T`.temp
    awk -- "$awk" $file > $tmpfile
    cat $tmpfile > $file
    rm $tmpfile
    pkgname.install
    post_install() {
    # Installs the EurKEY layout.
    if test "$EUID" = 0; then SUDO=; else SUDO=sudo; fi
    exec $SUDO bash /dev/stdin "$@" <<'ENDSUDO'
    set -e
    str=" <layout>\n\
    <configItem>\n\
    <name>eurkey</name>\n\
    <shortDescription>EUR</shortDescription>\n\
    <description>EurKEY</description>\n\
    <languageList>\n\
    <iso639Id>cat</iso639Id>\n\
    <iso639Id>dan</iso639Id>\n\
    <iso639Id>eng</iso639Id>\n\
    <iso639Id>est</iso639Id>\n\
    <iso639Id>fao</iso639Id>\n\
    <iso639Id>fin</iso639Id>\n\
    <iso639Id>ger</iso639Id>\n\
    <iso639Id>gre</iso639Id>\n\
    <iso639Id>gsw</iso639Id>\n\
    <iso639Id>ita</iso639Id>\n\
    <iso639Id>lav</iso639Id>\n\
    <iso639Id>lit</iso639Id>\n\
    <iso639Id>nld</iso639Id>\n\
    <iso639Id>nor</iso639Id>\n\
    <iso639Id>por</iso639Id>\n\
    <iso639Id>spa</iso639Id>\n\
    <iso639Id>swe</iso639Id>\n\
    </languageList>\n\
    </configItem>\n\
    </layout>\n\
    </layoutList>"
    for file in /usr/share/X11/xkb/rules/{base,evdev}.xml; do
    if [ ! -f "$file" ]; then
    echo "File $file is not a regular file (skipped)"
    elif [ $(grep -ci eurkey "$file") -ne 0 ]; then
    echo "File $file already constains eurkey (skipped)"
    else
    echo "processing $file"
    sed -i "s~</layoutList>~$str~" "$file"
    fi
    done
    ENDSUDO
    pre_remove() {
    # Removes the EurKEY layout.
    if test "$EUID" = 0; then SUDO=; else SUDO=sudo; fi
    exec $SUDO bash /dev/stdin "$@" <<'ENDSUDO'
    set -e
    for file in {/etc/vconsole.conf,/etc/X11/xorg.conf.d/*keyboard*}; do
    if [ -f $file ]; then
    [ `grep -ci '^\s*[^#].*eurkey' $file` -ne 0 ] && echo -e "Cannot completely remove EurKEY since it's still configured in $file.\nPlease remove it manually or use the settings manager." && exit 1
    fi
    done
    exit 0
    ENDSUDO
    post_remove() {
    # Removes the EurKEY layout.
    if test "$EUID" = 0; then SUDO=; else SUDO=sudo; fi
    exec $SUDO bash /dev/stdin "$@" <<'ENDSUDO'
    set -e
    awk='
    BEGIN { output = 1 ; buffer = "" }
    $0~/<layout>/ { output = 0 ; deleteSection = 0 }
    output == 1 { print $0 }
    $0~/<\/layout>/ { output = 1 ; buffer = buffer $0 ; if (deleteSection == 0) print buffer ; buffer = "" }
    $0~/<name>eurkey<\/name>/ { deleteSection = 1 }
    output == 0 { buffer = buffer $0 "\n" }
    for file in /usr/share/X11/xkb/rules/{base,evdev}.xml; do
    if test -f "$file"; then
    tmpfile="$file".`date +%FT%T`.temp
    echo "processing $file"
    awk -- "$awk" $file > $tmpfile
    cat $tmpfile > $file
    rm $tmpfile
    fi
    done
    ENDSUDO
    'sed' and 'awk' are neither build nor run-time dependencies, both are install dependencies, but I did not find a proper option for that.
    The (un-)install-scripts are taken from the Debian source, however with deb-packages it is obviously possible to abort  pre/post_remove on failure (here used if the keyboard layout is still in use => no uninstall). I did not find a proper way to accomplish this with PKGBUILD install scripts.
    Both scripts a rather long, but in other review requests forum veterans preferred to have scripts posted here instead of a link to AUR or pastebin. If it's nevertheless wrong I will relocate the scripts.
    Thanks in advance.
    Last edited by roepi (2014-03-17 17:42:44)

    If you still want to modify the XML, I would use xmlstarlet instead of awk/sed. I haven't tested the following scripts so they will probably need some debugging but they should give you a general idea of what I would do.
    The post remove script would be reduced to:
    set -e
    # xpath selector to select layouts that are named eurkey
    xpath='/xkbConfigRegistry/layoutList/layout/configItem/name[text()="eurkey"]/../..'
    for file in /usr/share/X11/xkb/rules/{base,evdev}.xml; do
    [[ -f "$file" ]] && xml ed --inplace -d "$xpath" "$file"
    done
    And the post install script would become:
    set -e
    xpath='/xkbConfigRegistry/layoutList/layout/configItem/name[text()="eurkey"]'
    for file in /usr/share/X11/xkb/rules/{base,evdev}.xml; do
    if [[ ! -f "$file" ]]; then
    echo "File $file is not a regular file (skipped)"
    elif xml sel -t -c "$xpath" $file >/dev/null; then
    echo "File $file already constains eurkey (skipped)"
    else
    echo "processing $file"
    xml ed -P -L \
    -s /xkbConfigRegistry/layoutList -t elem -n layoutTMP -v '' \
    -s //layoutTMP -t elem -n configItem -v '' \
    -s //layoutTMP/configItem -t elem -n name -v 'eurkey' \
    -s //layoutTMP/configItem -t elem -n shortDescription -v 'EUR' \
    -s //layoutTMP/configItem -t elem -n description -v 'EurKEY' \
    -s //layoutTMP/configItem -t elem -n languageList -v '' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'cat' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'dan' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'eng' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'est' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'fao' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'fin' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'ger' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'gre' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'gsw' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'ita' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'lav' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'lit' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'nld' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'nor' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'por' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'spa' \
    -s //layoutTMP/configItem/languageList -t elem -n iso639Id -v 'swe' \
    -r //layoutTMP -v layout \
    "$file"
    fi
    done

  • Is someone trying to send SPAM through one of my servers?

    Hey all.
    I had a rather fun start to the week, my boss handed me a couple pages of an email he got that had bounced back from our ISP. Basically it tried to send mail to a "[email protected]" (googled it: apparently people get phishing messages from that address) from my boss' email address.
    Normally I'd just kind of shrug it off and say that someone was trying to use our host's mail server as us and couldn't get through, but in the headers something caught my eye:
    X-Mailer: Apple Mail (2.1084)
    The original message was received at 2011-06-15 12:19:31 -0400 from postoffice.b.com [10.0.0.1]
    Reporting-MTA: dns; postoffice.b.com
    Received-From-MTA: DNS; postoffice.b.com
    Now let me just go ahead and clarify, all our email is handled off-site by the host of our domain name. At most my boss will send and receive his email from Apple Mail. I've had the Mail service on all 3 of our xserves off.
    Second, I've set up our own DNS server on one of the xserves. Actually I have two (one for redundancy) but the second has been disabled for a while now pending hardware changes. I use the made up domain of "b.com" for our servers, so if you look under the DNS service and check the "b.com" zone, there are only 3 entries; one for each of the servers. There is no "postoffice.b.com".
    Just as well, our network (the greater part of it at least) runs on IP's that begin with 10.0.1.*, not 10.0.0.*. There is no 10.0.0.1 on our network.
    I'm over my head on this one, I just want to know if anyone has actually gotten into our systems, and if they have (or even if they haven't), what they're doing and how I can stop it. I've gone ahead and put the full header up on pastebin if someone would like to look at it:
    http://pastebin.com/dPGPyub4
    I've replaced my boss' email address with "BOSS EMAIL" and our IP address with "COMPANY IP". I've left the rest untouched.

    Hello Jeff,
    I would start with the Received headers. The important one here would be the last Received entry in the header. They're written out in reverse order. So, in this case,
    Received: from User (62.1.248.190.dsl.dyn.forthnet.gr [62.1.248.190]) (authenticated bits=0) by cybergearnetworkfive.com (8.13.6.20060614/8.13.6) with ESMTP id p5FGF7Bl004780; Wed, 15 Jun 2011 16:15:08 GMT
    That header appears to be formatted correctly, so it would seem to be the origin of the message. If it weren't formatted correctly, then I would look at the next Received header that appears above it, and so on.
    The issue, then, would appear to be that cybergearnetworkfive.com may have an open SMTP relay (allowing SMTP connections from anywhere). So, a computer at 62.1.248.190 appears to be exploiting that security hole by sending out spam using a bogus "From" address.
    This appears to be just a run of the mill phishing email that is masquerading as being from your boss' email address.
    Harmless strictly from an email security standpoint as long as you aren't "cybergearnetworkfive.com" -- they appear to have a configuration problem allowing SMTP connections from anywhere.
    Though from a social engineering standpoint, these can be pretty dangerous.  With our company, we leverage our security and legal team to track down, identify, and prosecute (fraud) persons who masquerade as us.
    Hope this helps a bit.

  • Can not keep personal mail from going to spam folder in aol.  Aol can't fix problem what do I do?

    Alot of my persnal mail the last 4 days is going to spam.  Using aol mail and aol can't help me . What do I do?

    iTunes: About iOS backups - Support - Apple

  • All mail going into spam folder

    After upgrading to Lion all mail going straight to spam folder, even the addresses saved in address book.  Any suggestions on how to fix?

    Is the folder actually called "Spam" or do you mean the "Junk" folder?
    A "Spam" folder is not part of Mail, while a "Junk" folder is.
    If it is going to "Junk" then check for any Rules in Mail preferences that might be causing it. If there aren't any, try Resetting the Junk email filters in the Junk Mail tab of preferences.
    If it is "Spam," then check with Gmail or whatever email service you are using that is routing it there at the server level.

  • Email keeps going to spam folder

    I am having problem with email.. I will receive messages that mail puts in the spam folder that is not spam.  I drag it into my inbox and reply to it, but the reply from the sender continues to go into spam.. How can I stop this?

    Are you talking about the junk mail folder in iMail, spam filtering by your mail server or a third party spam filter you installed locally.
    If it's the last you need to read the instructions on how to train the filter, if its on the mail server you need to contact you;re ISP (or whoever is serving your mail) for instructions on how to train it.
    Finally if you're referring to the junk mail folder then you can set its parameters in Mail->Preferences->Junk Mail
    regards

Maybe you are looking for

  • Adding a populated field to an incident form

    Hi, hopefully someone here can help me out, I'm looking to add a field to the Incidents form in SCSM 2012, specifically a 'Location' dropdown with a few of our sites already in it and a 'room number' text box. I'm having trouble getting started with

  • Condition types. does not display amount

    Dear all, I have maintained condition types (PR00,KF00,K007). But on the VA01 screen, total amount does not display. For example:PR00=5 eur+KF00=0,5eur =5,5eur and K007 discount for customer 10% of 5,5eur=0,55eur. Here it does not show amount 4,95eur

  • ALE ditribution of vendors as customers

    Hi, We use ALE ditribution of vendors between two systems. Some of these vendors are flagged as "returns vendor" in Purchasing Data view, and a customer is linked to this vendor. But we get an issue on the target system with DEBMAS, CREMAS, CRECOR an

  • Plant to Plant Stock Transfer

    Hi, I want to do stock Transfer from one Plant to another Plant in the same company. Pls. tell me about the process & the configuation needs to be done. Regards,

  • INVALID SYS PACKAGES

    Oracle 8i (8.1.7.4.1) Windows 2000 Server Using DBNS_UTILITY.COMPILE_SCHEMA('SYS', FALSE) some objects compile and others become invalid. Help please